<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('servicios', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('titulo');
            $table->string('estado');
            $table->text('descripcion');

            $table->foreignId('contenidoweb_id')
                  ->constrained('contenidoswebs');

            $table->foreignId('profesion_id')
                  ->constrained('profesiones');
                
            $table->foreignId('foto_id')
                  ->constrained('fotos')
                  ->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('servicios');
    }
};
